<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property mixed id
 */
class Cart extends Model
{
    public $timestamps = false;
    protected $fillable = [
       'status', 'count'	,'user_id' , 'choice_id'	,'product_id'
    ];

    public function product()
    {
        return $this->belongsTo(Product::class,'product_id')->withTrashed();
    }
    public function choice()
    {
        return $this->belongsTo(ProductAttributeChoice::class,'choice_id');
    }
}
